These are chat archives for canjs/canjs

24th
Nov 2016
Per Ehnbom
@perehnbom
Nov 24 2016 14:41

I've been using CanJS since 2011 and thought it was about time to try out CanJS 3. Considering it's in Common JS format, I've tried using it with webpack. Most packages load fine, but there are a couple of cases where require is on a format that doesnt work, e.g. require("can-event/batch/") instead of require("can-event/batch/batch")

I have set up a list of changes necessary for CanJS to work with webpack, and also a template project where CanJS + webpack is used. The changes necessary are quite few and simple, and it would be really nice to get them fixed so it's possible to use webpack. The template project and changes list are here:

https://github.com/perehnbom/canjs3-webpack-template
https://github.com/perehnbom/canjs3-webpack-template/blob/master/canjs-require-changes.txt